package org.apache.poi.ss.examples;
import org.apache.poi.ss.usermodel.*;
import org.apache.poi.xssf.usermodel.XSSFCellStyle;
import org.apache.poi.xssf.usermodel.XSSFColor;

import java.io.FileInputStream;
import java.io.IOException;


public class ReadColor {

	public static String getRGBColor(XSSFColor color) {
		if(color == null) return "      ";
		String RGB = color.getARGBHex().substring(2);
		return RGB;
	}

	public static String getCellValue(Cell cell) {
		return cell.getRichStringCellValue().toString();
	}

	public static String getCellColor(Cell cell) {
		XSSFCellStyle cs = (XSSFCellStyle) cell.getCellStyle();
        return getRGBColor(cs.getFillForegroundColorColor());
	}
	
 public static void main(String[] args) throws IOException, Exception {
     FileInputStream fileIn = null;

     try
     {
        fileIn = new FileInputStream(args[0]);
         Workbook wb = WorkbookFactory.create(fileIn);

         Sheet sheet = wb.getSheetAt(0);
         
         int number_of_rows = sheet.getLastRowNum();
         
         for (int i = 0; i<=number_of_rows; i++) {
             Row row = sheet.getRow(i);
             Cell cell = row.getCell(0);
             System.out.println("Cell[" + i + "]: " + getCellValue(cell) + "\t Color: " + getCellColor(cell));
         }
         
     } finally {
         if (fileIn != null)
             fileIn.close();
     }
 }
 
}
